var path = require('path');
module.exports = {
  entry: './src/index.js',
  output: {
    path: path.resolve(__dirname, 'build'),
    filename: 'index.js',
    libraryTarget: 'commonjs2' // THIS IS THE MOST IMPORTANT LINE! :mindblow: I wasted more than 2 days until realize this was the line most important in all this guide.
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        include: path.resolve(__dirname, 'src'),
        exclude: /(node_modules|bower_components|build)/,
        use: {
          loader: 'babel-loader',
          options: {
            presets: ['react']
          }
        }
      },{
        test: /\.css$/,
        use: [ 'style-loader', 'css-loader' ]
      },
	  {
        test: /\.(png|woff|woff2|eot|ttf|svg)$/,
        use: [ 'url-loader' ]
      }
    ],
     loaders:[{
        test: /\.css$/,
        loader: 'style!css?importLoaders=1'
      },
	  { test: /\.(png|woff|woff2|eot|ttf|svg)$/, loader: 'url-loader?limit=100000' }
	  ]
  },
  externals: {
    'react': 'commonjs react' // this line is just to use the React dependency of our parent-testing-project instead of using our own React.
  }
};